import { Unhead, SSRHeadPayload, HeadTag } from '@unhead/schema';
export { SSRHeadPayload } from '@unhead/schema';

declare function renderSSRHead<T extends {}>(head: Unhead<T>): Promise<SSRHeadPayload>;

declare const propsToString: (props: Record<string, any>) => string;

declare function encodeInnerHtml(str: string): string;
declare const tagToString: <T extends HeadTag>(tag: T) => string;

declare function ssrRenderTags<T extends HeadTag>(tags: T[]): {
    headTags: string;
    bodyTags: string;
    bodyTagsOpen: string;
    htmlAttrs: string;
    bodyAttrs: string;
};

export { encodeInnerHtml, propsToString, renderSSRHead, ssrRenderTags, tagToString };
